(function ($) {
  "use strict";
  /**
   * Mobile menu toggle.
   */
  Drupal.behaviors.mobileMenuToggle = {
    attach: function (context, settings) {
      $(".navbar-toggler", context).each(function () {
        $(this).on('click', function (event) {
          $(this).toggleClass('expanded-mobile');
          $('#side-area, .viewport').toggleClass('expanded-mobile');
        });
      });
      $(".sidebar-toggle", context).each(function () {
        $(this).on('click', function (event) {
          $('.viewport, .navbar-toggler').toggleClass('expanded-mobile');
        });
      });
    }
  };

  /**
   * Mobile UX.
   */
  Drupal.behaviors.mobileMenu = {
    attach: function (context, settings) {
      $('.sidebar .search-icon', context).on('click', function(e) {
        e.preventDefault();
        if ($(this).hasClass('form-shown')) {
          $('.site-search-sidebar').slideUp();
          $(this).removeClass('form-shown');
        }
        else {
          $('.site-search-sidebar').slideDown();
          $(this).addClass('form-shown');
        }
      });
      $('.sidebar')
        .on('DOMSubtreeModified',
          function (e) {
            var more = $(this).find('li.more a');
            if (!more.hasClass('expand')) {
              more.addClass('expand').append('<span>...</span>').parent().nextAll().hide();
            }
            more.on('click', function(e) {
              e.preventDefault();
              more.hide().parent().nextAll().show();
              $(this).hide();
            });
          }
        );
    }
  };
})(jQuery);
